Skip to content
Search
Search the documentation
GetSearchBotsQuery
GitHub GitHub

GetSearchBotsQuery

Interface: GetSearchBotsQuery

Defined in: v0/index.ts:114

Query parameters for searching bots on Top.gg.

TODO: there is no documentation on a “search” parameter, but the endpoint is called “search bots” and it would make sense for there to be a search parameter. Need to confirm if this is the case and if so, add it to the types.

See

https://docs.top.gg/api/v0/bots#get-bots

Properties

fields?

optional fields?: string

Defined in: v0/index.ts:139

Comma separated list of fields to include in the response. If not provided, all fields will be included.


limit?

optional limit?: number

Defined in: v0/index.ts:122

The amount of bots to return.

Minimum

1

Maximum

500

Default

			50
		

offset?

optional offset?: number

Defined in: v0/index.ts:129

The amount of bots to skip (for pagination).

Minimum

0

Default

			0
		

sort

sort: keyof Bot | "-date" | "-id" | "-tags" | "-discriminator" | "-server_count" | "-shard_count" | "-username" | "-avatar" | "-defAvatar" | "-lib" | "-prefix" | "-shortdesc" | "-longdesc" | "-website" | "-support" | "-github" | "-owners" | "-guilds" | "-invite" | "-certifiedBot" | "-vanity" | "-points" | "-monthlyPoints" | "-donatebotguildid"

Defined in: v0/index.ts:135

The field to sort the bots by. Prefix with - for descending order.

There is no documented default.